//
//  NewVersionUpdateHttpCmd.m
//  MobilePortal
//
//  Created by xiejiangbo on 2019/3/21.
//  Copyright © 2019 yin chen. All rights reserved.
//

#import "NewVersionUpdateHttpCmd.h"
#import "NewVersionUpdateHttpResult.h"
static NSString *kActionUrl1 = @"/enterprise/activity/queryReleasedAll";

@implementation NewVersionUpdateHttpCmd
-(instancetype)initWithVersion:(NSString *)version{
    if ([version isEqualToString:PHttpVersion_v1]) {
        return [[NewVersionUpdateHttpCmd alloc]initWithAuthorizationState:AuthorizationNull];
    }else{
        NSAssert(NO, @"Invalid version");
    }
    return nil;
}

- (instancetype)initWithAuthorizationState:(AuthorizationState)state{
    self = [super initWithAuthorizationState:state];
    if (self != nil) {
        self.result = [[NewVersionUpdateHttpResult alloc]init];
    }
    return self;
}

- (NSString *)getActionUrl{
    
    return kActionUrl1;
}
@end
